from flask import Flask, jsonify, render_template, url_for
from datetime import datetime

app = Flask(__name__)


@app.route("/")
def home():
    # return jsonify({"message": "hello there!"})
    return render_template('index.html')


@app.route("/measure", methods=['GET'])
def get_measure():
    # now = datetime.now()
    # return jsonify({'datetime': now.strftime("%Y/%m/%d %H:%M:%S")})
    return jsonify(
            {
                "extTemp": 1.0,
                "Brightness": 2.0,
                "intTemp": 3.0,
                "intHumid": 4.0,
                "intSensor": 5.0,
                "baroSensor": 6.0,
                "baroTemp": 7.0,
                "baroPress": 8.0,
                "humanDet": 9.0,
                "dateTime": 10.0
            }
    )


if __name__ == "__main__":
    app.run(debug=True)
